Subject: Re: [RFC] ip / ifconfig redesign

From: "John W. Linville" <[email-masked]>
Date: Mon, 5 Dec 2005 15:10:03 -0500

On Mon, Dec 05, 2005 at 10:00:41AM -0800, Ben Greear wrote:
> Marc Singer wrote:
> >On Mon, Dec 05, 2005 at 09:01:00AM -0500, John W. Linville wrote:

> >>The association between IP addresses and links is already a bit murky.
> >>Reference the arp_announce sysctl for what I mean.  I recall Dave M.
> >>emphasizing on at least one occassion that IP addresses belong to
> >>the _box_, not to the link.

> >Precisely the case.  It should be the case that a box response to an
> >arp on *any* interface for *any* IP address known to the box.
> 
> I certainly don't mind if this is a configurable, or even default
> behaviour, but we also need the ability to only respond to particular

It was not my intention to derail this discussion to the arp_announce
topic.  I only cited it as an example where the IP address <->
interface mapping is not 100% absolute.

John
-- 
John W. Linville
[email-masked]